VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Enumerations
Steinberg::Vst::NoteExpressionSynth Namespace Reference

## Classes
class | BrownNoise
class | Filter
class | Controller
| Example Note Expression Edit Controller. More...
class | Processor
| Example Note Expression Audio Processor. More...
class | ControllerWithUI
| Example Note Expression Audio Controller + User Interface. More...
class | ProcessorWithUIController
| Example Note Expression Audio Processor + User Interface. More...
struct | GlobalParameterState
class | VoiceStatics
class | Voice
| Example Note Expression Synth Voice Class. More...

## Enumerations
enum | { kParamReleaseTime, kParamNoiseVolume, kParamSinusVolume, kParamTriangleVolume, kParamSinusDetune, kParamBypassSNA, kParamTriangleSlop, kParamFilterType, kParamFilterFreq, kParamFilterQ, kParamMasterVolume, kParamMasterTuning, kParamVelToLevel, kParamFilterFreqModDepth, kParamTuningRange, kParamActiveVoices, kParamSquareVolume, kNumGlobalParameters }
enum | { kParamMIDILearn = kNumGlobalParameters, kParamEnableMPE }
enum | VoiceParameters { kVolumeMod, kTuningMod, kPanningLeft, kPanningRight, kNoiseVolume, kFilterFrequencyMod, kFilterQMod, kSinusVolume, kTriangleVolume, kFilterType, kTriangleSlope, kSinusDetune, kReleaseTimeMod, kSquareVolume, kNumParameters }

## Enumeration Type Documentation

anonymous enum

Enumerator
kParamReleaseTime |
kParamNoiseVolume |
kParamSinusVolume |
kParamTriangleVolume |
kParamSinusDetune |
kParamBypassSNA |
kParamTriangleSlop |
kParamFilterType |
kParamFilterFreq |
kParamFilterQ |
kParamMasterVolume |
kParamMasterTuning |
kParamVelToLevel |
kParamFilterFreqModDepth |
kParamTuningRange |
kParamActiveVoices |
kParamSquareVolume |
kNumGlobalParameters |

anonymous enum

Enumerator
kParamMIDILearn |
kParamEnableMPE |

enum VoiceParameters

Enumerator
kVolumeMod |
kTuningMod |
kPanningLeft |
kPanningRight |
kNoiseVolume |
kFilterFrequencyMod |
kFilterQMod |
kSinusVolume |
kTriangleVolume |
kFilterType |
kTriangleSlope |
kSinusDetune |
kReleaseTimeMod |
kSquareVolume |
kNumParameters |

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.